Historique des modifications
============================

Version 1.13.10 :

* Nouveautés / corrections

     - Améliorations du support de Slurm : utilise l'option ``--mem`` pour la
       limite mémoire, corrige la recherche dans l'output des jobs.

     - La variable d'environnement ``ASTER_ETC`` peut être définie pour utiliser
       un autre répertoire de configuration ``etc``.

     - Ajoute le support pour l'exécution d'une version sans superviseur.

Version 1.13.9 :

   * Nouveautés / corrections

     - Ajout de l'option ``rcdir`` à ``as_run --showme`` pour obtenir le répertoire
       contenant les fichiers de configuration.

     - N'échoue pas si la sortie standard ne supporte pas l'encodage.

     - Améliore la gestion des paramètres pour le job maître des calculs distribués
       (nouveau plugin ``etc/plugins/distribution.py``, #25350).

     - Ajout d'une API de haut niveau (dans le package ``asrun``).

     - Les traces avec ``--log_progress`` sont maintenant ou bien sur la console,
       ou bien dans un fichier.

Version 1.13.8 :

   * Nouveautés / corrections

     - Support des versions qui accepte la détermination automatique du nombre
       de threads (#25230).

     - Restaure la gestion de l'option ORBInitRef pour les appels via SALOME et
       permettre à code_aster de contacter SALOME (#25236, #25243).

     - En cas d'échec lors de la compression d'un fichier résultat, on recopie
       le fichier non compressé (#24182).

     - Corrige la copie des fichiers de type 'nom' lors des lancements sur un
       serveur distant (#25017).

     - Corrige le diagnostic en cas d'arrêt par manque de temps (#24779).

     - Permet l'utilisation de fichiers de configuration complémentaires
       (dans ``$ASTER_ROOT/*/aster.conf``, #24830).

Version 1.13.7 :

   * Nouveautés / corrections

     - Allocation automatique du nombre de processus parallèles (threads) si ``ncpus``
       n'est pas défini dans le fichier ``.export``, plus de valeur par défaut pour
       ``ncpus`` dans l'interface. La valeur automatique correspond au nombre total
       de coeurs déclarés dans ``etc/codeaster/asrun`` (``interactif_nbpmax`` ou
       ``batch_nbpmax``) divisé par 2 (#24556).

     - Plugins pour Aster5/Athosdev qui calcule le nombre de threads à utiliser en
       fonction du nombre de processeurs MPI alloués par noeuds (#24556).

     - Utilise maintenant les noms d'options longs sur la ligne de commande Code_Aster.

     - Corrige une erreur possible quand Slurm ne retourne pas les valeurs attendues.

     - Supprime du fichier ``.export`` les arguments qui ne sont plus supportés
       par Code_Aster.

     - Améliore l'affichage des versions disponibles sur un serveur.

     - Supprime les actions du REX inactives.

     - Lancement de cas-test : identifié en tant que cas-test si ``parent=astout``,
       code retour mis à 1 en cas de NOOK ou NO_TEST_RESU, support de ``facmtps``
       avec l'option ``--test`` (#24248).

     - Ajout d'un plugin pour Slurm pour lire la sortie standard en cours de calcul.
       Définir ``schema_tail :  plugins.tail_slurm.tail`` dans ``etc/codeaster/asrun``
       pour l'utiliser (#22725).

     - Ajout d'options supplémentaires à ``as_run --showme`` pour obtenir des informations
       de l'installation (#24458).

     - Pour simplifier les traitements par script, ``as_run --list`` n'imprime plus
       les filtres utilisés dans le fichier produit.

     - Ajout du numéro de processus dans le nom des répertoires temporaires pour
       éviter les conflits lors de lancements mutiples concurrents.

Version 1.13.6 :

  * Nouveautés / corrections

     - Convertit automatiquement les fins de ligne windows dans les fichier
       ``.distr`` contenant les paramètres des calculs distribués.

     - Force les fichiers de données copiés dans le répertoire d'exécution à être
       accessibles en écriture.

     - L'option ``--getversion`` utilise maintenant le fichier ``aster_pkginfo.py``.

     - Évite de purger les variables si un fichier d'environnement ne peut pas
       être chargé correctement.

     - Slurm: Le nombre de noeuds est toujours défini même s'il vaut 1.

     - Ajout d'un plugin WebDAV (contribution www.alneos.com) permettant
       d'utiliser http pour transférer les fichiers et lancer un calcul sur
       un serveur distant (utilise curl).

Versions 1.13.4, 1.13.5 :

   * Nouveautés / corrections

     - Pour les versions récentes de Code_Aster (> 12.2 et > 11.6), uniquement
       le catalogue d'éléments est copié dans le répertoire d'exécution.

     - On ne recopie plus rien dans le répertoire d'exécution à partir de 12.2.12.

     - Problème d'encodage corrigé lors de la connexion au REX.

     - Possibilité d'envoyer un message de notification en fin d'exécution.
       Utiliser ``P notify address@mail.com`` dans le fichier ``.export``.

     - Nouveau protocol de transfert de fichiers: sftp (voir
       ``asrun/plugins/sftp_server.py``). Contribution Alneos.

     - Cas-test: possibilité de terminer avec succès avec une erreur ``<S>`` ou
       ``<F>`` attendue.
       Utiliser le paramètre ``expected_diag`` dans le ``.export`` du test.

   * Obsolescence

     - La plupart des fonctionnalités liées au développement, dont la
       construction sont maintenant obsolètes et conservées uniquement pour la
       compatibilité avec des anciennes versions de Code_Aster.

       Voir https://bitbucket.org/code_aster/codeaster-src/wiki/Home pour
       une mise en route sur le développement.

Version 1.13.3 :

   * Nouveautés / corrections

     - ``--test/--quick`` supportent une option générique ``--run_params`` pour
       passer des paramètres supplémentaires dans le fichier export.

     - ``--test`` accepte un second argument en tant que répertoire de résultats
       pour copier les fichiers ``.mess``, ``.resu`` and ``.code``.

     - ``astout/distribution``: les ressources n'étaient pas libérées quand le
       lancement d'un calcul échouait.

Version 1.13.2 :

   * Changement majeur

     - as_run n'est plus utilisé pour construire Code_Aster qui embarque son système
       de construction de son dépôt (basé sur ``waf``).

     - Les fonctions n'ont pas été supprimées et peuvent être encore utilisables avec
       les anciennes versions de Code_Aster mais **elles ne sont plus maintenues**.

     - Cependant, des fonctionnalités basiques comme ``--get/--show`` ont été mises
       à jour et devraient restées disponibles avec les nouvelles versions.

   * Nouveautés / corrections

     - Les études paramétriques peuvent maintenant lancer des calculs esclaves avec
       des versions parallèles. Comme d'habitude, le calcul maître doit être soumis
       avec les paramètres requis par les esclaves (plusieurs processeurs) mais il
       est réellement lancé avec un seul processeur.

     - ``--test/--quick`` supportent une nouvelle option ``--debugger`` et une option
       plus générale ``--exectool``. Ceci permet de lancer un cas-test ou une
       petite étude dans un debugger ou un outil externe comme ``valgrind``.

     - Gestionnaire de batch Slurm: on ne passe plus le paramètre ``--nodes`` si il
       est inférieur ou égal à 1.

Version 1.13.1 :

   * Nouveautés / corrections

     - ``--list``: les paramètres entiers étaient traités comme des chaines de
       caractères dans les filtres.

     - ``--getversion`` et ``--messages`` fonctionnent avec la nouvelle
       arborescence des fichiers sources.

Version 1.13.0 :

   * Nouveautés / corrections

     - L'option ``--get`` avec ``--all``: utilise le contenu du fichier
       ``.export`` pour copier tous les fichiers de données d'un cas-test
       (issue20285).

     - Correction de l'appel à ``MACR_INFO_MAIL`` quand on convertit un fichier
       de maillage avec Code_Aster version > 11.3.17 (issue20868).

     - option ``--list``: amélioration des filtres, utilise maintenant les ``.export``.

     - Lancement des tests: ajout du fichier ``.code`` dans les résultats.

Version 1.12.2 :

   * Nouveautés / corrections

     - Ajout d'un raccourci pour lancer un cas-test dans un terminal.
       Exemple: ``as_run --test zzzz131a``

     - L'option ``--list`` échouait quand on filtrait sur un nom de commande.

     - La limite mémoire par défaut lors de la construction du catalogue
       d'élements et en utilisant ``--quick`` est légèrement réduite afin d'être
       compatible avec les plates-formes 32 bits (< 2 Go).

     - Ajoute d'une fonction ``--showme`` pour obtenir des informations de
       l'installation à partir de ``bin/as_run``.

     - Correction: la copie des résultats échouait quand les répertoires 'home'
       étaient différents sur la machine locale et sur le serveur distant.

Version 1.12.1 :

   * Nouveautés / corrections

     - Les options ``--show/--get`` supporte les fichiers ``.export``.

     - La suppression avec fichier ``unigest`` ne fonctionnait pas avec plusieurs
       répertoires de tests.

     - Lors du lancement d'une liste de tests, la suppression d'un test entier
       ne fonctionnait pas.

     - Lors de mises à jour cumulées, la suppression des tests ne fonctionnait
       probablement pas.

Version 1.12.0 :

   * Nouveautés / corrections

     - Lancement des tests plus robuste sur la récupération du diagnostic des tests.

     - L'option ``--list`` ne fonctionnait que dans le répertoire d'une version ou
       bien si le répertoire des tests était un nom absolu.

     - Les paramètres de ``auto_update.cron`` sont conservés lors des mises à jour
       (cf. isssue20210).

     - Le lancement des tests utilise de préférence les fichiers ``.export`` au lieu
       des ``.para``.

Version 1.10.9 :

   * Nouveautés / corrections

     - Correction du support du gestionnaire de batch Sun Grid Engine en parallèle.
       Un plugin fourni peut être activé pour choisir le 'parallel environment'
       approprié (voir ``etc/codeaster/plugins/sge_pe.py``).

     - On ne pouvait pas dénoter un catalogue python (.capy).

     - L'onglet AGLA est toujours activé. Certaines fonctionnalités sont réservées
       aux développeurs dûment enregistrés.

Version 1.10.8 :

   * Nouveautés / corrections

     - Ajout du paramètre ADDMEM dans le fichier config.txt pour ajouter
       un forfait à la limite mémoire du job (correspondant à l'exécutable,
       les bibliothèques...). Essentiellement utile quand le gestionnaire de
       batch limite strictement la mémoire.

     - La procédure de mise à jour sauvegarde la version précédente en la
       renommant (au lieu de la copier) pour accélérer le processus sur des
       systèmes de fichier peu rapides.

Version 1.10.7 :

   * Nouveautés / corrections

     - Les erreurs de copie des résultats étaient mal détectées. Le répertoire
       intermédiaire sur le serveur pouvait donc être effacé sans que les résultats
       aient été récupérés (cf. issue19237).

     - En cas de code retour non nul de l'exécutable le diagnostic devient <F>
       au lieu de <S> (cf. issue17122).

     - On interdit de lancer une exécution parallèle avec une version séquentielle
       (cf. issue18962).

     - Lors d'une mise à jour, si un champ devient optionnel, il est quand même
       défini dans le nouveau fichier de configuration et un avertissement est
       affiché dans la console (cf. issue19258).

Version 1.10.6 :

   * Nouveautés / corrections

     - astk ne sauvegardait pas correctement plus d'une version utilisateur
       (dans ``~/.astkrc/prefs``).
       S'il y avait plus d'une version, la dernière était écrite plusieurs fois.

     - Les versions n'étaient pas listées dans le même ordre dans astk que
       dans les fichiers de configuration.

     - Nouveau paramètre 'after_job' dans le menu Options pour soumettre un
       calcul qui ne sera pas démarré avant qu'un autre ne soit terminé.
       Ne fonctionne que pour les exécutions en batch.

   * côté serveur (as_run)

     - La compilation des catalogues d'éléments échouait par manque de mémoire
       (issue19094). Se produit lors de la mise à jour vers la version 11.2.7.

     - --quick ne fonctionnait pas dans un répertoire contenant des accents.

     - Les exécutions multiples échouaient avec des fichiers de données contenant
       des accents dans leur chemin (issue19288).

     - Exécutions multiples : les résultats n'étaient pas recopiés si le nom
       d'utilisateur est différent de la machine locale.

     - Correction d'une erreur lors de l'archivage quand beaucoup de fichiers
       étaient mis à jour (issue19150).

     - La détection de machine distante échouait sur Fedora
       (voir http://www.code-aster.org/forum2/viewtopic.php?id=17273)


Version 1.10.5 :

   * côté serveur (as_run)

     - on peut donner une étiquette aux versions, pour éviter les conflits sur le
       nom de base, dans les fichiers de configuration (``etc/codeaster/aster`` ou
       ``~/.astkrc/prefs``). C'est cette étiquette qui est affichée dans astk.
       Par exemple : ``DEV:$HOME/dev/codeaster/install/share/aster``

     - les fichiers 'config.txt' supporte une nouvelle variable $ASTER_VERSION_DIR.
       Ceci permet de changer très peu de lignes quand un fichier config.txt est
       copié ou déplacé. Les lignes où le nom de la version apparaissait n'ont
       plus besoin d'être modifiées.

     - étude paramétrique : les calculs non lancés sont considérés comme en erreur.

Version 1.10.4 :

   * Nouveautés / corrections

     - le lancement de tests prend en compte les suppressions de fichiers de données
       de cas-tests.

Version 1.10.3 :

   * Nouveautés / corrections

     - nouvelle fonction agla ASDENOT pour dénoter tous les sources d'un utilisateur.

     - les options distrib/multiple sont maintenant simplement cochées ou décochées.

     - nouvelle option --getversion_path qui retourne le chemin d'installation.

     - nouvel argument 'version cible' pour '--auto_update' pour ne faire les
       mises à jour que jusqu'à une version donnée.

     - support des gestionnaires de batch revu, ajout du support de Slurm.

     - 'copy_result_alarm' peut être mis à 'no' dans les profils afin de ne pas
       émettre d'alarme si un résultat n'existe pas.

     - nouvelle option --copy_all_results (à utiliser avec --quick) pour copier
       les résultats connus dans le répertoire courant.

     - mise à jour du vérificateur --messages pour chercher les messages dans les
       fichiers .capy et pour supporter le nouveau format de message (pour la
       version de développement de Code_Aster).

     - les lignes PYSUPPR n'étaient pas prises en compte dans make_cmde & make_etude.

     - plusieurs petites corrections dans l'interface avec le REX (mysql_date_fmt, nosy-list).

Version 1.10.2 :

   * Nouveautés / corrections

     - la construction d'une version MPI échouait (depuis 1.10.1) si elle est
       exécutée avec mpirun.

     - le calcul n'était pas lancé si un fichier/répertoire contenait des
       caractères accentués.

     - corrige l'import de cas-test sur un serveur distant (les fichiers étaient
       marqués comme étant locaux).

Version 1.10.1 :

   * Nouveautés / corrections

     - étude paramétrique : interception des exceptions en cas d'erreur dans le
       fichier utilisateur.

     - astout/étude paramétrique : le répertoire des résultats doit être sur la
       machine d'exécution.

     - modification des répertoires d'exécution en parallèle. Un répertoire "global"
       est préparé dans ``[shared_tmp]/job_number/global`` et est dupliqué pour chaque
       processeur dans ``[rep_trav]/job_number/proc.#procid`` où
       ``rep_trav/shared_tmp`` sont définis dans le fichier de configuration
       ``etc/codeaster/asrun``.

     - modification de la position initiale de la fenêtre des jobs (pas exactement
       respectée).

Version 1.10.0 :

   * Nouveautés / corrections

     - exécution multi-machines : un profil (étude, cas-tests...) peut être lancé
       simultanément et très simplement sur plusieurs machines. Il suffit d'indiquer
       ``multiple = oui`` dans le menu Options/Options de lancement.

     - problème corrigé lors de la recopie d'un répertoire de résultats (un niveau
       de répertoire supplémentaire était créé).

     - lancement en batch : correction du passage du nombre de processeurs et noeuds
       en MPI, on conserve maintenant dans le flasheur de script tel qu'il est soumis.

     - exectool fonctionne maintenant quand on lance sur une machine distante.

     - lors du lancement d'astout ou d'étude paramétrique, deux fichiers NOOK et
       RESULTAT sont écrits dans le répertoire de résultat pour permettre de
       suivre l'avancement du processus.
       Le paramètre ``flashdir`` n'existe plus (menu Options), il est remplacé par
       un répertoire de type ``flash`` dans les onglets **ETUDE** et **TESTS**.

     - correction d'erreurs sur les chemins contenant des caractères accentués.

     - correction d'une initialisation de variable (``choix_listul``) dans
       **Configuration/Préférences/Réseau**.

     - lors de l'importation d'un cas-test, le nombre de processeurs et de noeuds
       était mis par défaut à 0. Ils sont maintenant initialisés à 1 s'ils ne sont pas
       dans le fichier .para.

     - la limitation sur l'enchainement de plusieurs fichiers de commandes en MPI
       est levée ; fonctionne également en mode préparation de l'environnement.

     - fusion des fichiers des préférences de l'utilisateur (``.astkrc/prefs`` et
       ``.astkrc/config``) dans un seul fichier ``.astkrc/prefs``. La fusion est
       faite automatiquement au premier démarrage d'``as_run``.

     - lors de l'émission de fiche avec fichiers attachés, les paramètres mémoire
       et temps de l'étude n'étaient pas conservés.

     - ouverture de cette note de version dans le navigateur s'il est configuré
       dans **Configuration/Préférénces/Générales**.

     - on peut maintenant utiliser des variables d'environnement dans les
       fichiers de configuration (``~/.astkrc/prefs``, ``~/.astkrc/outils`` et
       ``~/.astkrc/config_serveurs``). Les variables supportées sont seulement
       ``ASTER_ROOT``, ``ASTER_ETC`` et ``HOME``.

   * côté serveur

     - dans le fichier de configuration (``etc/codeaster/asrun``), les limites
       mémoire et temps étaient ignorées si un des deux paramètres ``memmax/tpsmax``
       était absent. Elles étaient alors déterminées automatiquement.

     - on peut maintenant utiliser des variables d'environnement dans les
       fichiers .export (objets ``AsterProfil``) et les fichiers de configuration
       (``etc/codeaster/asrun`` et ``etc/codeaster/aster``).

     - il y a eu des changements dans l'API de ``asrun``, voir les DeprecationWarnings
       pour mettre à jour votre code et la documentation dans
       ``share/codeaster/asrun/doc/dev_guide.*``.

Version 1.9.1 :

   * Nouveautés / corrections

     - possibilité de restreindre les types de fichiers dans les onglets, choix dans
       **Configuration/Préférences/Générales** : tous les types, les plus courants, choix
       utilisateur (renseigner les types séparés par des espaces dans le fichier
       ``~/.astkrc/prefs``, champ ``listul_perso``).

     - quand plusieurs entrées d'un profil avaient le même nom de base, ils étaient
       copiés sous le même nom dans le répertoire intermédiaire.

     - si un exécutable était en donnée et résultat, on essayait de le copier au départ
       alors qu'il faut d'abord le construire.

     - on interdit de lancer une exécution s'il y a une base/bhdf en donnée ET un
       catalogue d'éléments en donnée.

   * côté serveur

     - détermine automatiquement les limites mémoire, temps, nombre de processeurs
       si elles ne sont pas définies dans le fichier de configuration
       ``etc/codeaster/asrun``.

     - (sur la machine de développement) l'émission de fiche REX ne fonctionnait pas
       sans fichier joint et le serveur n'était pas automatiquement sélectionné.

     - considère aussi les fichiers include (en plus du fichier objet) pour savoir si
       un fichier source doit être recompilé.

Version 1.9.0 :

   * Changement profond du mode de fonctionnement : les communications sont maintenant
     unidirectionnelles, du client vers le serveur (il n'y a plus les retours du serveur
     pour copier des fichiers ou afficher des fenêtres).

     - Lors du lancement d'un calcul :

        1. les fichiers sont copiés sur le serveur (dans un répertoire intermédiaire,
           "proxy", défini par celui-ci et partagé par tous ses noeuds de calcul)

        2. le calcul est lancé sur le serveur, les résultats restent sur le serveur.

        3. les résultats sont rappatriés automatiquement quand le calcul en ``ENDED`` dans
           le suivi des jobs (donc après actualisation manuel ou automatique de son état).

       Ces modifications simplifient la configuration des connexions entre les machines
       (seule la connexion entre la machine locale où est lancé astk et le serveur de
       calcul est nécessaire).

       Elles permettent de s'adapter aux serveurs où les noeuds de calcul n'ont pas accès
       au reste du réseau.

       Si les fichiers de données/résultats sont sur la machine locale ou le serveur de
       calcul, il y a peu d'impacts sur les temps de copie.

       En revanche, si des serveurs tiers sont utilisés, un transfert supplémentaire
       serait nécessaire. Il a été choisi dans ce cas, pour le moment au moins, de laisser
       le serveur de calcul aller chercher les fichiers... s'il le peut.

     - Autoriser les affichages sur la machine locale depuis le serveur distant n'est plus
       nécessaire. En revanche, le lancement avec suivi interactif sur un serveur distant
       monopolise l'interface pendant ce temps.

     - Lors de l'édition des fichiers ``output/error/export`` depuis asjob, ceux-ci sont
       d'abord téléchargés depuis le serveur de calcul puis éditer localement.

     - L'avancement des requêtes aux serveurs est affiché dans la partie basse du suivi
       des jobs. On peut vider la fenêtre par clic-droit, puis **Clear**.

     - Des modules additionnels peuvent être ajoutés dans ``etc/codeaster/plugins`` pour
       adapter le comportement d'asrun en fonction d'un serveur particulier
       (voir ``plugins/actions.py``).

     - Changement de l'action "consbtc" : le script est laissé sur le serveur où il
       est généré.

   * Nouvelles fonctionnalités / corrections :

     - si un fichier résultat n'a pas été produit, l'exécution se termine en
       ``<A>_COPYFILE`` (avant il s'agissait d'une erreur ``<F>_COPY_ERROR``).

     - traduction anglaise complétée (pour le suivi des jobs).

     - as_run : dans un fichier export, les noms de fichiers/répertoires peuvent être
       des chemins relatifs par rapport au répertoire contenant le fichier export.

Version 1.8.4 :

   * Nouvelles fonctionnalités / corrections :

      - retour en arrière sur les permissions sur les fichiers : seul le répertoire de
        travail est protégé en lecture pendant l'exécution. Il est de la responsabilité
        de l'utilisateur de protéger le répertoire de ses résultats s'il le souhaite.

      - les boutons pour déplacer un fichier dans la liste sont disponibles pour les
        onglets de **SURCHARGE**.

      - quand **AGLA** est coché, on pouvait être arrêté si l'exécutable/catalogue
        n'existait pas alors qu'il n'est pas utilisé.

      - le bouton dans le suivi des jobs permettant d'arrêter un calcul tout en
        conservant les bases (envoi du signal ``USR1``) est renommé **Arrêter proprement**
        (anciennement **Interrompre USR1**)

      - le type "nom" est répétable.

      - un nouveau thème est disponible : **Lucid Ambiance** (nécessite l'extension
        ``tkpng`` pour afficher les icônes en pleine couleur, définir la variable
        ``TKPNG_ROOT`` dans ``profile_local.sh`` par exemple, cf. ``init.tcl``).

      - l'action **pre** (uniquement préparation de l'environnement) fonctionne pour les
        calculs en  MPI.

      - support du nombre de processeurs lors du lancement en batch (LSF, PBS, SunGE).

      - prise en compte du nombre de processeurs/noeuds lors de l'importation d'un cas-test.

      - commandes ``mpi_ini/mpi_end`` (fichier de configuration asrun) pour lancer
        des commandes avant/après le lancement en MPI.

      - argument supplémentaire pour la configuration du debugger (usage de nemiver
        possible, cf. fichier de configuration asrun).

   * fonctionnalités développeur :

      - nouvelle option ``as_run --free_sub`` qui retourne un numéro de routine libre.

      - correction dans la recherche des messages.

      - préparation de l'environnement pour une exécution MPI opérationnelle
        (action **pre**).

Version 1.8.3 :

   * côté serveur (asrun) :

      - la version 1.8.2 ne fonctionnait pas sur les machines mono-processeurs mono-coeurs.

Version 1.8.2 :

   * Nouvelles fonctionnalités / corrections :

      - un clic-droit sur le bouton Supprimer (croix rouge) supprime toutes les
        lignes de la liste de fichiers courante.

      - le bouton Interrompre est intégré à la fenêtre principale (en bas à droite)

      - le type 'nom' est utilisable en donnée.

      - l'argument dbgjeveux n'était plus exporté depuis 1.7.2.

      - durant l'exécution, les fichiers sont uniquement accessibles par le
        propriétaire de l'étude. De même pour les fichiers résultats recopiés en
        fin de calcul.

   * côté serveur (asrun) :

      - nouvelle option '--make_shared' pour produire une bibliothèque dynamique
        à partir de fichiers source fortran/C pour faciliter l'utilisation de
        comportement de type UMAT.

      - show/get traite les jokers (exemple : show ssnp125*.comm)


Version 1.8.1 :

   * Nouvelles fonctionnalités / corrections :

      - la fonction "Valeur par défaut" retourne maintenant un chemin relatif
        au chemin de base (et non plus par rapport au nom du profil).

      - lors du rappatriement des résultats, le répertoire de destination est
        automatiquement créé s'il n'existe pas (fiche 14665).

      - si la copie des résultats échoue, les fichiers sont recopiés dans un
        répertoire temporaire indiqué par l'alarme <A>_COPY_RESULTS.

      - parfois "Rechercher" dans asjob n'affichait aucune ligne : cela se produisait
        quand l'encodage des caractères par défaut n'était pas iso-8859-1.

      - "importer un cas-test" n'utilisait pas la version sélectionnée.

      - initialisation incorrecte d'as_run (fichier $HOME/.astkrc/config vide).
        Dans ce cas, il faut supprimer le fichier, puis relancer.

      - astout/étude paramétrique : arrêt au plus tôt s'il n'y a pas de machine
        disponible, amélioration des informations affichées en cas d'erreur d'exécution.

      - étude paramétrique : tous les fichiers en résultat sont copiés dans le
        répertoire propre à chaque calcul.

      - utilisation possible des versions définies dans ~/.astkrc/config (fiche 14811).

      - SSH/SCP est maintenant le protocole par défaut (au lieu de RSH/RCP).

   * côté serveur (asrun) :

      - Les fichiers fortran90 n'étaient pas pris en compte lors de la génération des ctags.

      - as_run --make clean ne fonctionnait que dans le répertoire des sources et
        n'utilisait pas l'option --vers, et pouvait effacer la version entière !

      - le gestionnaire de travaux Sun Grid Engine n'était plus utilisable.

      - l'option --rcdir de as_run ne prend plus un suffixe mais un nom de répertoire
        complet (par défaut en relatif par rapport à $HOME).

      - correction de quelques problèmes d'encodage.

      - ajout de la mention DEJA RESTITUE DANS dans les histors.

      - exécution de commandes avec suivi : le code retour était toujours nul, l'option
        separated_stderr ne fonctionnait pas.

      - "as_run --info" retourne maintenant la version par défaut (default_vers du fichier
        de configuration).

      - "as_run --get_infos" supporte l'option "--output" pour récupérer le fichier de
        ressources.

      - la limite à 10 fichiers de commandes dans un profil est levée (plus de limite,
        fiche 14814)

      - support mpi : lancement de plusieurs fichiers de commandes interdit, positionnement
        de l'environnement dans le script lancé par mpirun.

      - (sur la machine de référence) suppression systématique des fichiers attachés
        aux fiches soldées.


Version 1.8.0 :

   * Nouvelles fonctionnalités / corrections

      - en cas d'arrêt par manque de temps cpu, meilleure remontée du diagnostic

      - étude paramétrique (calcul distribué) :
         Dans le fichier distr, on définit les valeurs des paramètres avec ``VALE=...``
         (voir ci-dessous).

         On peut maintenant inclure un ensemble de commandes juste après DEBUT (resp.
         juste avant FIN) en utilisant les mots-clés PRE_CALCUL (resp. POST_CALCUL)
         qui acceptent une chaine de caractères contenant le morceau de jeu de
         commandes à insérer.

         On peut aussi utiliser UNITE_PRE_CALCUL (resp. UNITE_POST_CALCUL) qui accepte
         un entier correspondant à l'unité logique qui sera insérée par INCLUDE.

         On peut maintenant sauvegarder les bases (base ou bhdf) dans le répertoire de
         chaque calcul. Pour cela, il faut ajouter une entrée de type 'base' ou 'bhdf'
         qui doit pointer vers le répertoire des résultats (attention à l'espace disque utilisé !).

         On peut ensuite faire une poursuite distribuée en basculant cette entrée en "Donnée".


      - astout : le facteur multiplicatif du temps n'était plus pris en compte depuis
        la version 1.7.0.

      - timeout : ce paramètre introduit pour les astout et études paramétriques est
        déterminé automatiquement à partir des données du profil. Il est supprimé de
        l'interface.

      - le mode interactif est réparé (-interact dans la ligne d'arguments, fiche 12874).

      - les problèmes de défilement des impressions devraient avoir disparus.

      - "astk --import fichier.export" permet d'importer un profil au démarrage.

      - dans le suivi des jobs, "Rechercher" ne fonctionnait plus depuis 1.7.8.

   * côté serveur :

      - Correction lors de la suppression des fichiers fortran90.

      - as_run --messages : amélioration de la recherche des messages inutilisés ou
        inexistants dans le source.

      - ``as_run --astk_update`` / ``as_run --auto_update`` : on télécharge d'abord un fichier
        contenant les versions disponibles, puis on récupère les versions plus récentes
        s'il y en a.

      - L'option ``--version_dev=...`` est dépréciée, utilisez ``--vers=...``

      - En mpi, le fort.6 n'était pas rempli.

      - Ajout de deux paramètres dans ``etc/codeaster/asrun`` : ``mpi_ini`` et ``mpi_end``
        pour initialiser et terminer la session MPI. Nécessaire pour des implémentations
        MPI comme Mpich2 (mpdboot / mpdallexit).

      - ``as_run --auto_update --keep_increment`` : gère correctement les paquets "-2".

   Le changement de version s'explique par le réarrangement des fichiers sources de
   l'interface (astk), de la partie serveur (as_run) et du script d'installation.

   * interface :

      - l'application est installée dans lib/astk, les fichiers de configuration dans
        ``etc/codeaster/astkrc``.

   * côté serveur :

      - déplacement des fichiers sources : ``ASTK/ASTK_SERV/bin`` devient ``bin``,
        ``ASTK/ASTK_SERV/conf`` devient ``etc/codeaster``, ``ASTK/ASTK_SERV/lib`` devient
        ``lib/pythonX.Y/site-packages/asrun``.

      - le fichier de configuration est séparé en deux parties principales : config
        devient asrun (majeure partie du fichier config) + aster (versions de *Code_Aster*
        disponibles) + fichier agla sur le serveur de référence.

      - lors des mises à jour, l'installation précédente est sauvegardée dans
        ``share/codeaster/backup_`indice de la version précédente`/...``


version 1.7.12 :

   * version intermédiaire pour permettre la migration en version 1.8.0.


version 1.7.8 :

   * interface :

      - choix automatique du type lors de la sélection d'un fichier (fiches 13541 et
        13596) : permet par exemple que le type 'mmed' soit choisi sur sélection d'un
        fichier ".med", type "hist" sur un fichier "histor"...

   * côté serveur :

      - as_run --list : 'liste_test' est un critère autorisé.
         Par exemple pour extraire les tests de la liste restreint ::

            as_run --list --all --filter='liste_test == "R"'


      - astout/étude paramétrique :
         . en cas d'échec lors de la soumission d'un cas, la liste était interrompue.
         . des conflits sur les répertoires temporaires pouvaient survenir.

      - lancement en batch : correction en cas de soumission dans une liste de classes,
        et en cas de lancement d'étude paramétrique sur la machine de référence.


Version 1.7.6 :

   * lancement de cas-test : l'exécution n'était pas interrompue même quand le nombre
     maximum d'erreurs était atteint (anomalie 13544).

   * problème d'import du module utils.py (anomalie 13529).

   * la compilation était lancée en séquentielle, même sur une machine comportant
     plusieurs processeurs.

   * correction de la suppression d'un fichier particulier d'un cas-test (tout le
     test était supprimé).


Version 1.7.4 :

   * corrections pour le lancement d'étude paramétrique en batch sur la machine
     de référence


Version 1.7.3 :

   * côté serveur :

      - correction des problèmes de défilement saccadé des exécutions.

      - Etude paramétrique, lancement de cas-tests :
         - nouveau paramètre flashdir pour indiquer où copier les fichiers
           output/error des exécutions ou de ne pas les conserver. Exemples :
           "P flashdir /path/to/flash/directory" ou "P flashdir None". Si
           flashdir est absent (cas du lancement via l'interface), "flash" est
           créé dans le répertoire des résultats (repe ou resu_test selon le cas).

      - unigest : possibilité de ne supprimer qu'un seul fichier d'un cas-test.
        Exemple : TESSUPPR rccm02a.com2

      - suivi de l'exécution : il faut fournir dans le fichier export soit le
        paramètre xterm (qui est utilisé tel quel, ce que fait l'interface astk),
        soit les paramètres follow_output et display (et dans ce cas, c'est terminal
        défini dans le fichier ASTK_SERV/conf/config qui est utilisé).

      - lancement de cas-tests :

         - paramètre facultatif pour écrire le diagnostic dans un fichier.
           Ex. "P diag_pickled /path/to_diag_pick"

         - l'argument --only_nook permet de ne lancer que les tests non ok
           (en ligne de commande uniquement)


Version 1.7.1 :


   * Diagnostic erroné si l'output contient des caractères binaires : le diagnostic
     est alors <F>_ERROR alors que le calcul est correct.

   * correction pour l'enregistrement dans la base de données d'études (on n'est plus
     obligé d'enregistrer le profil avant)

   * as_run --show/--get : fonctionne si on ne donne pas d'extension. Par exemple :
     "show AbcdE" cherche 'abcde.f' dans bibfor, bibf90 et 'AbcdE.py' dans bibpyt.
     Il n'y a pas d'erreur si aucun n'est trouvé.
     Permet d'associer un raccourci clavier dans son éditeur favori pour faire un
     "show" sur la sélection courante (comme on peut le faire avec les ctags si
     l'éditeur le supporte).

Version 1.7.0 :

   * Nouvelle fonctionnalité : étude paramétrique, calcul distribué

     Lancement d'une étude paramétrique en fournissant un fichier de type 'distr' en
     donnée, un répertoire en résultat (type 'repe') et en choisissant "distrib = oui"
     dans le menu Options. La syntaxe du fichier de paramètre est la suivante ::

          VALE = (
              _F(P1=val11, P2=val12, ..., Pn=val1n),  # calcul 1
              _F(P1=val21, P2=val22, ..., Pn=val2n),  # calcul 2
              ...
              _F(P1=val31, P2=val32, ..., Pn=valpn),  # calcul p
          )


     L'étude est quelconque. Les paramètres fournis sont remplacés dans tous les
     fichiers de commandes de l'étude (type 'comm', pas les includes) sous réserve
     qu'ils respectent l'expression régulière : ``^ *Pi *=.*$`` où Pi est le nom du
     paramètre (Pi est précédé de 0 ou N espaces, un signe '=', puis la valeur).
     Les résultats de l'étude doivent être écrits dans REPE_OUT.
     Exemple ::

          DEFI_FICHIER(UNITE=50, FICHIER='./REPE_OUT/xxxx.med')
          IMPR_RESU(FORMAT='MED', UNITE=50, ...)

     Dans le répertoire de résultat (type 'repe'), on trouvera un répertoire flash
     qui contient les traces des exécutions (fichiers output, error, export) et un
     répertoire par calcul (calc_01 à calc_0p) qui contiennent les fichiers de
     commandes modifiés et les résultats (copie du "REPE_OUT" de chaque calcul).

     Le calcul distribué est pris en charge par le serveur sélectionné (Machine exéc) puis
     réparti sur les ressources disponibles selon :


        - un fichier de type 'hostfile' fourni

        - ou le fichier défini dans la configuration du serveur (ASTK_SERV/conf/config,
          clé batch_distrib_hostfile ou interactif_distrib_hostfile)

        - ou les caractéristiques de la machine sélectionnée (nombre de cpu, mémoire).

     Le paramètre 'timeout' (menu Options) défini le temps d'attente maximum d'un calcul
     avant d'être soumis (délai maximum entre deux soumissions). Passé ce délai,
     l'exécution de ce calcul est annulée (diagnostic <F>_NOT_RUN). Ce paramètre est
     réclamé par l'interface.
     La valeur du timeout doit être supérieure au plus long des calculs (2-3 fois
     cette durée semble une bonne valeur).

     Attention : il est très facile d'effondrer une machine en mettant des paramètres
     inadaptés dans le 'hostfile'. Il est recommandé de laisser le choix automatique
     ('hostfile' du fichier config). Consulter l'administrateur du serveur au préalable !


   * Nouvelle fonctionnalité : astout distribué

      - le lancement d'une liste de cas-test est également distribué selon la même
        méthode que pour les études paramétriques. Voir ci-dessous pour la répartition
        des cas-tests selon les ressources disponibles (fichier 'hostfile').
        Le paramètre timeout est également obligatoire (cf. ci-dessus).


   * Nouvelle fonctionnalité développeur : exécuter *Code_Aster* via un outil tiers sur
     un profil d'étude

      - on peut lancer directement un outil comme valgrind sur une étude. Il suffit
        de choisir "exectool = nom_outil" dans le menu Options.

        La commande utilisée est prise dans le fichier ASTK_SERV/conf/config. Si
        'nom_outil' n'est défini dans le fichier config, 'nom_outil' est considéré
        comme une ligne de commande. Ceci est compatible avec une surcharge.
        Exemple : exectool=valgrind --tool=memcheck
        ou 'memcheck : valgrind --tool=memcheck' dans ASTK_SERV/conf/config et exectool=memcheck


   * Nouvelle fonctionnalité développeur : importer un cas-test

      - ajout d'une option dans le menu Fichier/Importer... : possibilité d'importer
        un cas-test (nécessite de sélectionner un serveur avec astk 1.7.0 ou +). Lit
        également les paramètres du calcul (temps/mémoire).


   * Nouvelle fonctionnalité développeur : surcharge python

     Quand on met un répertoire de fichier python en surcharge, on cherche dorénavant
     les fichiers `*.py` dans les sous-répertoires récursivement.


   * côté serveur :

      - as_run --get_export nom_cas_test : affiche un fichier .export (utilisé par
        Fichier/Importer.../cas-test). On suppose que tous les fichiers du test sont
        utilisés en donnée.

      - le code retour de l'exécution est récupéré pour diagnostiquer d'éventuels
        problèmes après la commande FIN.

      - utilisation de threads pour la lecture des sorties stdout/stderr des commandes

      - protection contre des créations concurrentes des répertoires temporaires
   * la version 1.6.5 ne pouvait plus se mettre à jour toute seule !

Version 1.6.5 :

   * interface :

      - séparation des préférences en deux dans Configuration/Préférences puis Générales
        et Réseau.

      - possibilité de fixer la variable DISPLAY pour l'affichage des applications
        externes : menu Configuration/Préférences/Réseau. Attention : utiliser cette
        option en connaissance de cause et uniquement si la valeur par défaut ne convient
        pas. Laisser le champ vide pour laisser astk déterminer seul le DISPLAY
        (en fonction de sa valeur au lancement d'astk, du nom de domaine...).

      - improvements in english translations (thanks to JMB).

   * côté serveur :

      - correction de plusieurs anomalies lors du lancement en batch (hors serveur
        de référence).

      - amélioration du lancement MPI (reste expérimental = en phase de test)

      - correction de l'affichage de la plate-forme dans le fichier output (.o du flasheur)

      - amélioration du diagnostic lors du lancement des cas-tests

      - lors de la mise à jour de *Code_Aster* (--auto_update) les mises à jour d'astk
        sont automatiquement cherchées (équivalent de -astk_update).

      - la fonction "as_run --messages check" accepte des répertoires en surcharge et
        un fichier unigest.


Version 1.6.3 :

   * correction de la compilation des catalogues d'éléments en mémoire dynamique


Version 1.6.2 :

   * ajout du lancement en MPI en interactif (expérimental = en phase de test) :

      - interface :
         on définit mpi_nbnoeud (nombre de noeuds) et mpi_nbcpu (nombre de processeurs)
         dans le menu Options.

      - côté serveur :
         Il est nécessaire d'ajouter les paramètres MPI dans le fichier de configuration
         (ASTK/ASTK_SERV/conf/config) : mpirun_cmd, mpi_hostfile, mpi_get_procid_cmd,
         mpi_nbnoeudmax, mpi_nbcpumax et shared_tmp. Voir l'exemple dans le répertoire
         conf.new créé au moment de la mise à jour.
         Dans le fichier config.txt, il faut déplacer les flags de pré-compilation sur
         une ligne DEFS (sans les "-D", au lieu des lignes OPTC_x, OPTF_x et OPTF90_x).
         Par exemple ::

           DEFS | defined | - | LINUX _USE_MPI _HAVE_MUMPS _USE_MPI_MUMPS _USE_MPI_FETI

         La préparation de l'environnement est à améliorer (problèmes attendus si
         beaucoup de processeurs), l'exécution est faite dans un répertoire partagée
         par tous les processeurs dès qu'il y a plus d'un noeud.

         as_run peut lancer la compilation (surcharge ou construction complète d'aster)
         en parallèle. Pour cela, il faut ajouter un paramètre dans
         ASTK_SERV/bin/as_run : para = {..., 'multi_threading' : True }.
         NB : il existe une anomalie dans certaines versions de python. En cas
         de problème, désactiver cette possibilité.


Version 1.6.1 :

   * l'outil de conversion de maillage (accessible par clic droit sur un maillage)
     ne fonctionnait pas.


Version 1.6.0 :
   Ce changement de numéro de version s'explique par des modifications significatives
   dans ASTK_SERV, la partie qui lance les calculs. Il y a peu d'évolutions dans la partie
   interface.
   La compatibilité ascendante est assurée : une interface en version 1.5 peut appeler des
   services 1.6 (mais l'interface 1.6 ne peut pas utiliser un serveur 1.5).

   - interface :

      * meilleure récupération en cas d'erreur des services


      * meilleure détection du mode local/distant pour éviter de tenter des
        commandes "rsh/ssh" alors que l'interface et le serveur sont sur la même machine.

   - côté serveur :

      * as_serv est remplacé par as_run qui devient l'unique point d'entrée.
            astk 1.5 : as_serv as_exec [options] fichier.export
            astk 1.6 : as_run --serv [options] fichier.export


      * --diag : possibilité d'écrire le bilan dans un fichier pickled.


      * support de l'extension .F pour le fortran 90 (compilation, mise à jour).

   - utilisation depuis Salomé :

      * gestion cohérente du répertoire de ressources ($HOME/.astkrc_'suffixe') pour bien
        séparer les configurations "dans Salomé" / "hors Salomé".


Version 1.5.5 :

   - corrections mineures

Version 1.5.4 :

   - côté serveur (as_run) :

      * utilisation de l'option --messages :
         as_run --messages check       : vérification des catalogues et impression de statistiques
         as_run --messages move        : déplace un message d'un catalogue dans un autre et modifie les fichiers sources concernés
         as_run --messages CONTACT_12  : imprime la liste des fichiers sources utilisant ce message
         as_run --messages op0001.f    : imprime les messages appelés par ce fichier source

      * outil développeur : option --keep_increment de auto_update pour construire et conserver tous les incréments de mise à jour

Version 1.5.3 :

   - conversion en base HDF : la base hdf produit l'est sur la meme machine que la base initiale.

   - ajout de l'option --rcdir pour modifier le répertoire des ressources (.astkrc par défaut)

   - côté serveur (as_run) :

      * outil développeur pour extraire des informations des catalogues de messages :
        as_run --messages

      * outil développeur pour construire des listes de cas-test : as_run --list

      * correction du diagnostic de l'exécution en cas d'arret par manque de temps CPU

      * fichier .code recopié dans un astout

Version 1.5.2 :

   - quantité de mémoire utilisée pour un calcul : l'option mem_aster disparait du menu
     Options. Dans la fenêtre principale, on saisit la mémoire totale nécessaire au
     calcul (demandée au gestionnaire de batch) et, en cochant la case prévue, la partie
     qui sera prise par le premier calcul Aster (le reste étant disponible pour des
     outils externes appelés par Aster ou des calculs Aster esclaves...). Le paramètre
     mem_aster est toujours disponible dans le fichier '.export'.

   - disponible sur le serveur de référence seulement : menu "Fichier/Enregistrer
     dans la base d'étude..." permet d'ajouter le calcul courant dans la base de données
     d'étude en tant qu'exécution d'une étude existante.

   - menu Fichier/Importer/.export astk (mode ajout) : contrairement à l'import classique
     qui part d'un profil vierge, les fichiers et répertoires présents dans le
     fichier .export sont ajoutés au profil actuel. Les paramètres et arguments
     sont ignorés. Cela permet par exemple d'importer une étude dans un profil de surcharge.

   - menu Option/Option de lancement : ajout des paramètres mpi_nbcpu et mpi_nbnoeud
     pour les calculs utilisant MPI. NB : ncpus est utilisé pour les exécutions en OpenMP.

   - mise à jour d'astk (option --astk_update d'as_run) : correction d'un problème sur
     la commande wish.

   - possibilité de spécifier un répertoire des "ressources" autre que $HOME/.astkrc
     avec l'option --rcdir (voir astk --help).

   - évolution du mode de lancement d'Eficas quand on est dans l'environnement Salomé.

   - correction de la conversion de base au format HDF.

   - les caractères accentués étaient mal transmis lors de l'émission d'une fiche depuis astk.

   - côté serveur :

      * traitement du type mmed dans les astout.

      * ajout de l'option --diff pour voir le fichier de différence d'un fichier
        source (il faut évidemment que les fichiers de diff soient disponibles dans
        les répertoires convenus comme sur la machine de référence).

      * lors de l'enchainement des fichiers de commandes multiples, on exploite
        les informations produites par *Code_Aster* (fichier 'info_cpu') sur le temps
        cpu restant pour adapter le paramètre 'tpmax' de l'exécution suivante.

      * ajout de l'option --list pour générer une liste de cas-tests à partir de
        nom de commandes et mots-clés utilisés, de critère sur les paramètres du
        test ou de filtre utilisateur.

Version 1.5.1 :

   - dans SURCHARGE :

      * évolution pour la compilation de fichiers C avec surcharge des fichiers includes

      * possibilité de surcharger le code avec des packages Python inconnu de
        bibpyt (nouveau package)

   - côté serveur (as_run) :

      * affichage du temps "elapsed" de chaque test lors d'un astout

   - intégration des fichiers d'aide en ligne (menu Aide) traduits en anglais par JMB.

Version 1.5.0 :

   - fenêtre d'informations au lancement (motd 'message of the day')

   - interface avec le rex et fichiers histor :

      * traitement correct des chaines accentuées.

   - mise à jour en ligne (version béta) avec : as_run --astk_update

Version 1.4.8 :

   - dans SURCHARGE :

      * types c/f/f90 : s'il y a des fichiers "include", il faut que le source qui
        les importe soit dans le même répertoire lors de la surcharge ; il ne peut pas
        y avoir uniquement des fichiers "include".

   - corrections côté serveur :

      * --show/--get : émission incorrecte d'une alarme concernant la connexion au
        serveur de référence.

      * diagnostic enrichi pour remonter les erreurs de syntaxe dans les fichiers de commandes.

      * remontée d'erreur pour faciliter le diagnostic lors de la compilation du
        catalogue d'éléments.

      * arguments réservés dans le fichier .export : prep_env, copy_data,
        copy_result et detr_rep_trav (existait déjà).

      * auto_update : risque d'incohérence en cas de mise à jour de deux versions
        différentes simultanément (par exemple NEW7 et NEW8).

Version 1.4.5 :

   - menu contextuel des listes de fichiers : ouverture de l'explorateur de fichiers
     dans le répertoire du fichier sélectionné.

   - recopie des fichiers .resu et .erre dans le fichier .o (output) lors de
     l'exécution d'un cas-test.

   - ajout de flèches dans le profil d'étude pour déplacer des entrées dans la
     liste (utile pour l'ordre d'exécution des .comm).

   - dans ETUDE :

      * nouveau type 'nom' permettant de récupérer n'importe quel fichier à la
        racine du répertoire de travail. Exemple : /home/etude/gmon.out contiendra
        le fichier gmon.out du répertoire de travail... s'il a été produit par l'exécution !

      * le type 'para' permet de récupérer un fichier .para type pour un cas-test
        à partir des paramètres de l'étude courante.

   - une nouvelle sélection de couleurs et icônes (inspirées du thème Crystal de KDE).

   - prise en charge des fichiers include (``*.h``) dans la mise à jour des versions
     locales (``as_run --auto_update``).

   - menu Options : nouvelle option 'corefilesize' pour limiter la taille du fichier
     core créé (0 : pas de core file, unlimited : taille non limitée).

   - recopie de l'histor lors des mises à jour.

   - suppression des import/export asterix.

   - as_run :

      * --ctags : nouvelle option permettant de générer les ctags à partir des
        sources fortran, C et Python.

      * --auto_update : l'option --ctags est appelée à la fin de la mise à jour
        (si la commande ctags est trouvé bien sûr !).

      * --show : En local, l'édition est faite en place directement dans le
        répertoire des sources sans recopie dans un répertoire temporaire (permet
        d'exploiter plus facilement les ctags générés lors des mises à jour des
        versions locales).

Version 1.4.4 :

   - verrou sur l'émission de fiche avec surcharge.

   - correction dans la recopie du catalogue de commandes compilé.

Version 1.4.3 :

   - correction d'une erreur lors de la surcharge des catalogues de commandes
     (il fallait lancer l'étude et la surcharge en même temps).

   - sur la machine de référence : en batch un message avertit qu'il faut faire
     la surcharge et lancer l'étude en deux temps.

Version 1.4.2 :

   - corrections côté serveur (astout diagnostic des cas-tests).

Version 1.4.1 :

   - corrections/évolutions côté serveur uniquement

Version 1.4.0 :

   - Menu "Ouvrir avec..." revisité :

      * Post-traitement avec *Code_Aster* (Stanley)

      * Convertisseur de maillage : convertit des maillages de type .mail, .msh,
        .mgib, .msup, .med

      * Convertir au format HDF : convertit une base *Code_Aster* (glob.1) au
        format HDF (bhdf.1)

      * Editeur de fichiers de commandes (Eficas)

     La conversion de maillage et de base ne fonctionne que sur un serveur en
     version 1.4 ou mieux.

Version 1.3.4 :

   - compilation des catalogues d'éléments avec un unigest : corrigé.

   - dans ETUDE : type datg (données géométriques) associé à l'unité 16.

   - option --no-initial-warnings pour supprimer les fenêtres d'alarme au lancement
     de l'interface (à n'utiliser que pour contourner un bug Qt quand astk est lancé
     depuis Salomé).

   - option --no-splash pour supprimer la fenêtre de démarrage (mais on perd la
     possibilité d'interrompre la récupération des informations des serveurs).

   - ajout de l'entrée Fermer dans le menu Fichier.

   - configuration par défaut lors de l'installation : islocal=oui pour le
     serveur où on fait l'installation.

   - côté serveur :

         * génération des histors en html : retour chariot manquant.

         * alarme inopinée sur le fichier .para lors d'un astout.

Version 1.3.3 :

   - dans Configuration/Serveurs, on peut cocher une case pour indiquer que le
     serveur est sur la même machine que l'interface. Dans ce cas, avant même de
     faire des tests sur les noms de machines, les communications client/serveur
     se feront en direct sans passer par le réseau.

   - intégration d'astk dans Salomé : l'options ORBInitRef permet à l'exécution
     *Code_Aster* d'appeler les services fournis par Salomé.

   - quand on prépare l'environnement d'une exécution (Lancer + "pre"), on trouve
     dans l'output les commandes pour lancer *Code_Aster* à la main, on trouve aussi les
     commandes pour lancer le calcul dans le debugger Python (pdb).

   - dans certains cas, les jobs n'étaient pas arrêtés quand on cliquait sur "Supprimer".

   - même anomalie avec "Interrompre USR1".

   - côté serveur : as_run : possibilité de définir le répertoire de travail
     (rep_trav) et de ne pas le détruire en fin d'exécution (detr_rep_trav non).
     Attention à l'encombrement du disque dur !

Version 1.3.0 :

   - nouveau menu dans la fenêtre des jobs : "Purge flasheur" permet de supprimer
     les fichiers inutiles de vos répertoires flasheur sur les différents serveurs.

   - la préselection du type utilise aussi le nom du répertoire.

   - machine de référence :

      * rex : uniquement l'émission de fiche est possible depuis astk, pour consulter
        les fiches REX et y répondre il faut utiliser un navigateur pour se connecter
        au serveur roundup.

      * Fichier/Importer.../.export d'une fiche : importe le profil associé à une
        fiche du rex à partir de son numéro d'index.

Version 1.2.5 :

   - suite à la modification des préférences dans Configuration/Interface, le nom
     de serveur "Local" pouvait être incomplet (sans le nom de domaine) et donc
     conduire à problèmes de connexion avec les serveurs distants.

   - possibilité d'arrêter un job avec récupération de la base (envoi du signal
     USR1) : bouton droit+Interrompre sur un job de la liste.

   - asjob n'est plus mis systématiquement en avant-plan.

   - possibilité d'activer/désactiver le bip dans asjob via le menu Configuration/Interface.

   - côté serveur :

         * valeurs par défaut pour rep_mat et rep_dex : respectivement materiau
           et datg sous le répertoire de la version utilisée (possibilité de les
           surcharger dans le menu Options, ou le fichier config.txt de la version).

         * la compilation du catalogue d'éléments s'arrêtait systématiquement en
           erreur si l'exécutable était surchargé.

         * on ne pouvait pas lancer une surcharge avec uniquement du fortran 90.

   - expérimental : passerelles Salomé-astk concernant la liste de fichiers du profil.

Version 1.2.4 :

   - si une unité logique différente de 1 est associé à un fichier de type comm,
     on bascule au type libr au moment de l'export du profil.

   - surcharge du fortran 90 pas prise en compte.

   - sur la machine de référence : dénotation impossible depuis l'introduction
     du fortran 90 (1.2.2).

Version 1.2.3 (2005/04/06) :

   - f90 est coché/décoché automatiquement comme les types f et c.

   - anomalie corrigée dans la gestion des arguments passés sur la ligne de
     commande de *Code_Aster*.

   - mise à jour des versions de développement : gestion de la mise à jour de fermetur.

Version 1.2.2 (2005/03/10) :

   - ajout du type f90 (Fortran 90) pour des modules optionnels (toutes les
     particularités du Fortran 90 ne sont pas gérées).

   - erreur corrigée en cas de surcharge par des fichiers Python.

   - bsf : avertissement quand on rencontre un nom de fichier contenant des espaces.

   - côté serveur :

         * lors du lancement d'une liste de test, le paramètre mémoire fourni à
           *Code_Aster* était incorrect (facteur 1.e6 dans ce cas, *Code_Aster* prenait 64 Mo par
           défaut) d'où des <S>_ERREUR non justifiées.

         * ajout d'un contrôle des limites temps, mémoire au moment de l'exécution
           (ce n'était vérifié qu'au moment de la soumission).

         * possibilité de définir rep_outils, rep_mat, rep_mat dans le fichier config.txt.

         * prise en compte des sources f90 (compilation, mise à jour) et de
           modules optionnels.

Version 1.2.1 (2005/01/20) :

   - prise en compte de la surcharge au lancement de Stanley.

   - lancement du service as_run "à la main", il n'est plus nécessaire de faire
     le source du fichier ``aster_profile.sh`` (``as_run`` le fait).

   - anomalie corrigée : la variable DISPLAY écrire dans le fichier .export était incorrecte.

   - anomalie corrigée : en cas d'erreur <S>, le diagnostic était quand même OK.

   - anomalie corrigée : l'option --check ne fonctionnait plus.

   - anomalie corrigée : la liste des tests peut être locale ou distante.

Version 1.2.0 (2005/01/07) :

   - nouveauté : asjob : en cliquant avec le bouton droit sur un ou plusieurs jobs
     sélectionnés, on peut en particulier actualiser uniquement les jobs sélectionnés.

   - évolution : Stanley : transmission de la variable DISPLAY utilisée par le client ;
     si plusieurs bases sont disponibles dans le profil, on prend en priorité la base
     sélectionnée (en cliquant dessus avec le bouton gauche ou droit).

   - si on sélectionne un fichier nomfic.56, le type est fixé à 'libr' et l'unité à 56.

   - anomalie corrigée : le nom de la base ne contenait pas user@machine quand la base
     n'est pas sur la machine de calcul.

   - évolution mineure : on désactive automatiquement un serveur qui désigne la même
     machine (avec le même login) qu'un serveur précédent.

   - types de fichier dans Etude : nouveau 'digr' (unité 26), 'gnu' supprimé.

   - support du séquenceur de travaux Sun Grid Engine.

   - fichier de configuration côté serveur plus complet, ajout de fonctionnalités de
     mises à jour via as_run.

   - en cas de .comm multiples, sauvegarde et restauraion de la dernière base correcte
     (dans BASE_PREC) en cas d'erreur dans les fichiers suivants.

Version 1.1.4 (2004/09/24) :

   - ajout/suppression de l'extension .gz quand on change le type d'une entrée de la
     liste des fichiers (avant on ne le faisait que quand on cochait/décochait le
     bouton Compressé).

   - ajout du type 'dat' (unité par défaut 29).

   - le nom du chemin de base s'ajuste en fonction de la largeur disponible.

   - anomalie corrigée : une instruction ne fonctionnait pas avec python2.1 lors du
     lancement de Stanley.

   - anomalie corrigée : en cas d'échec de l'enregistrement d'un profil, le message
     est plus clair (de plus, lorsqu'on lançait un calcul, l'erreur passait inaperçue
     et on était arrêté plus loin).

   - anomalie corrigée : erreur lors de la suppression du dernier serveur de la liste.

   - bsf : anomalie corrigée : avec les sélections multiples (touches CTRL et SHIFT),
     il se produisait parfois des erreurs TCL et la sélection graphique était incohérente
     avec le nom des fichiers sélectionnés.

   - asjob : anomalies corrigées : des erreurs TCL se produisaient si on demandait à
     actualiser la fenêtre des jobs alors qu'une actualisation était déjà en cours ou
     bien quand le fichier contenant les infos des jobs était endommagé.

   - côté serveur :

         * la copie du fort.6 (pour récupérer les infos en cas de problème) est placée
           dans le répertoire de travail (rep_trav de config, rep_tmpsrv est supprimé).

         * on peut ajouter un fichier d'environnement (pour positionner des variables
           comme LD_LIBRARY_PATH...) dans ASTK_SERV/conf.

Version 1.1.3 (2004/08/24) :

   - ajout d'un mode DHCP : si le nom de la machine cliente n'a pas pu être récupéré,
     on essaie de récupérer l'adresse IP de la machine (Linux ou Solaris), sinon on
     peut spécifier cette adresse via le menu Configuration/Interface. Pour basculer
     du mode DHCP au mode normal, il suffit de cocher/décocher la case 'mode DHCP'
     dans Configuration/Interface.

Version 1.1.2 (2004/06/10) :

   - changement des valeurs par défaut (clic droit sur un nom de fichier), notamment
     pour le type 'libr' où l'on reprend le numéro de l'unité logique.

   - Stanley sur des bases HDF fonctionne à partir de *Code_Aster* 7.3.8.

   - ajout d'un test de connexion vers le noeud de calcul avant soumission d'un calcul.

   - ajout d'un traitement des codes retour de la soumission (plus de cas
     particuliers traités).

   - anomalie corrigée : quand on supprimait un serveur, la configuration des
     serveurs suivant dans la liste était décalée.

   - anomalie corrigée : ceci ne fonctionnait plus depuis 1.1.0 : surcharge : quand
     on décoche la case 'Résultat' d'un exécutable, on décoche automatiquement les
     sources C et Fortran (comportement analogue pour les cmde/capy et ele/cata).

Version 1.1.1 (2004/05/19) :

   - prise en compte du fichier pickle associé aux bases de calcul.

   - ajout du type bhdf (base au format HDF gérées comme les bases *Code_Aster* standards).

   - traitement des bases HDF par Stanley (appelé automatiquement depuis astk).

   - nécessite run_aster 2.33.

Version 1.1.0 (2004/05/06) :

   - construction de l'ihm revue :

      - la fenetre principale est redimensionnable.

      - on utilise quelques objets du package BWidget (voir A propos...) qui est
        fourni avec astk.

      - la librairie TkTable n'est plus utilisée.

   - le lancement du debugger en interactif ("dbg") implique "suivi interactif".

   - choix des polices de caractères utilisées (Configuration/Polices...).

   - on peut conserver la géométrie de la fenêtre principale d'une session à l'autre.

   - lancement de Stanley directement à partir d'une base transparent quelque soit
     la version de *Code_Aster*.

Version 1.0.27 (2004/03/29) :

   - 'ETUDE' est cochée par défaut pour chaque nouveau profil.

   - ajout de raccourcis clavier dans le menu Fichier (par ex: Ctr+Q pour quitter).

   - surcharge : quand on décoche la case 'Résultat' d'un exécutable, on décoche
     automatiquement les sources C et Fortran (comportement analogue pour les
     cmde/capy et ele/cata).

   - asjob : ignore les jobs tournant sur des machines dont l'état a été mis à "off".

   - bsf : la liste des répertoires rémanents est configurable (clic-droit sur la
     liste, puis Configuration) : possibilité de "fixer" des répertoires, d'en ajouter,
     supprimer...

   - anomalie corrigée : l'interface ne démarrait pas si aucune version n'est disponible.

   - sur la machine de référence : lancement de tests : interdit en interactif, en batch
     un message avertit qu'il faut faire la surcharge et lancer les tests en deux temps.

   - anomalie connue : quand on supprime un serveur, la configuration des serveurs
     suivant dans la liste n'est pas correctement décalée. Solution de contournement :
     raffraichir la configuration de chaque serveur.

Version 1.0.26 (2004/03/02) :

   - anomalie corrigée : on obtenait '<F>_ERREUR_SYSTEME' en interactif quand le suivi
     n'était pas activé.

   - Stanley appelable d'un simple clic droit sur une base. Pour le moment les bases
     au format HDF ne sont pas traitées automatiquement, il faut donc que la base ait
     été créée sur la même machine que celle qui va lancer Stanley.

Version 1.0.25 (2004/01/21) :

   - quand un nom de fichier ou répertoire contient un caractère interdit (comme un
     espace), on avertit plus clairement l'utilisateur.

   - l'extension ".gz" est automatiquement ajoutée/retirée quand on coche la case de
     compression.

   - lancement de tests : en cas de surcharge, on vérifie que l'exécutable et les
     catalogues sont sur la machine d'exécution.

   - le suivi interactif maintenant disponible pendant la surcharge, et le lancement
     des tests (nécessite run_aster 2.28).

   - anomalie corrigée : type de plate-forme non reconnu quand le fichier de
     configuration n'a pas été renseigné.

   - anomalie corrigée : blocage quand on demandait les propriétés d'un
     fichier/répertoire depuis la bsf.

   - anomalie corrigée sur la machine de référence : création/suppression d'une forlib.

Version 1.0.24 (2003/12/15) :

   - options de lancement supplémentaires (menu Options) : possibilité de spécifier
     une classe batch particulière, une heure de départ, le nombre de processeurs.

   - en batch, on peut forcer le temps et la mémoire au delà des limites imposées
     par le serveur (sauf à spécifier une classe particulière, le calcul risque de
     ne pas être soumis).

   - pour une étude, on retrouve le fichier .export dans le répertoire de travail
     (nécessite run_aster 2.27).

   - précision dans l'aide au sujet des commandes d'impression.

   - pour les fichiers/répertoires en données, on vérifie que l'on fournit bien un
     fichier là où on attend un fichier et un répertoire là où on attend un répertoire.

   - les couleurs et la taille de police sont modifiables, menu Configuration/Couleurs
     et Configuration/Taille de police.

   - import d'un fichier .export : suppression des <INFO> si le type est libre.

   - sur la machine de référence : on peut maintenant préciser le nom de la 'forlib'
     à créer ou à supprimer.

Version 1.0.23 (2003/11/28) :

   - BSF, Eficas, Gibi, Gmsh, Grace sont configurés par défaut, à l'administrateur de
     les retirer de la config s'ils ne sont installés.

Version 1.0.22 (2003/11/19) :

   - "Valeur par défaut" tient compte du nom du serveur où est enregistré le profil.

   - on pouvait avoir un exécutable en résultat sans fournir de sources C ou fortran :
     risque d'erreur, on vérouille ce comportement.

   - asjob : en cas de suppression de jobs PEND ou RUN, si on ne confirme pas la
     suppression, le job n'était pas arrêté mais il disparaissait de la liste.

   - bsf : erreur corrigée lors du lancement d'un outil (éditeur, Eficas...).

   - prise en compte de facmtps, nbmaxnook, cpresok lors du lancement de test en
     interactif (nécessite run_aster 2.26).

Version 1.0.21 (2003/11/04) :

   - la modification du nom de domaine est prise en compte immédiatement, il n'est
     plus nécessaire de relancer ASTK.

   - asjob : limitation des communications avec les serveurs en regroupant les
     opérations pour la suppression des jobs.

   - ajout du nom de la machine cliente et de l'utilisateur dans l'output des jobs.

   - affichage de la fenêtre des messages au lancement si le niveau de message non nul.

Version 1.0.20 (2003/10/10) :

   - anomalie introduite en 1.0.19 corrigée : problème d'affichage, le DISPLAY était
     mal défini avec le nom de domaine.

   - le choix "debug" est sélectionné par défaut si l'on choisit le mode de lancement
     "debugage" ou "préparer l'environnement".

Version 1.0.19 (2003/10/07) :

   - le nom de domaine de la machine locale est paramétrable par le menu
     Configuration/Interface (car le nom complet de la machine est nécessaire pour
     que les machines distantes puissent contacter la machine locale).

   - "Copier sous" (copie d'un profil) ne copie que les fichiers ou répertoires en
     (D)onnée ou (R)ésultat.

   - le fichier .export est copié dans le répertoire d'exécution.

   - avertissement si une commande retourne un warning sur le quota.

   - bsf : possibilité de masquer les répertoires en passant par le menu
     "Affichage/Masquer les répertoires".

Version 1.0.18 (2003/09/09) :

   - possibilité d'importer un fichier .export et construire le profil associé
     (menu Fichier/Importer/astk_serv).

   - sur la machine de référence : lors de l'émission d'une fiche avec fichiers
     joints, un fichier .export est créé (directement importable par astk) + correction
     d'une anomalie.

   - sur la machine de référence : REX : bouton "Etude associée" pour importer
     directement le fichier .export lié à la fiche sélectionnée.

Version 1.0.17 (2003/09/08) :

   - possibilité de copier tout un environnement (profil et fichiers associés) par le
     menu Fichier/Copier sous.

   - on conserve dans le flasheur (sur la machine d'exécution) le profil exporté
     sous "nom_profil.pNUMERO".

   - les fichiers/répertoires étaient exportés comme distants (avec user@mach:/...)
     alors qu'ils se trouvaient sur le serveur de calcul.

   - nouveau bouton d'options à côté de "Lancer" pour choisir le mode de lancement
     de l'étude : voir Aide/Paramètres du calcul.

   - ajout de nombreuses "bulles" d'aide (message dans la barre d'état) quand le
     pointeur survole les éléments de l'interface.

   - ATTENTION : run_aster 2.22 est nécessaire pour lancer le debugger en interactif.

   - ATTENTION : ajout dans le fichier de configuration de la partie serveur
     ASTK_SERV : "cmd_post" commande pour l'analyse d'un corefile après une exécution,
     "cmd_dbg" commande pour exécuter une étude avec le debugger en interactif.

   - sur la machine de référence : asdeno/asquit plus souples (pas d'enregistrement
     du profil), partie "produits" de la surcharge inactivée si l'on choisit une
     action de l'AGLA.

   - sur la machine de référence : correction du titre de la fenêtre quand on passe
     d'une fiche REX à une autre.

Version 1.0.16 (2003/09/03) :

   - bug introduit en 1.0.15 : en cas de surcharge, on lançait l'étude avant de
     créer l'exécutable !

   - lors de l'impression d'un fichier, la dernière imprimante sélectionnée
     apparaissait alors qu'on imprimait sur la première de la liste.

   - sur la machine de référence :

      - possibilité de supprimer une fiche qui est encore dans l'état
        EMIS_UA/EMIS_CUA par celui qui l'a émise.

      - le correcteur d'une fiche peut compléter sa réponse tant que la fiche
        est dans l'état A_VALIDER.

Version 1.0.15 (2003/09/01) :

   - asdeno : anomalie corrigée, le nom du module était mal exporté.

   - correction de l'affichage du message d'entête sous Linux.

   - correction du bug apparu en 1.0.6 quand on avait beaucoup (>40) de fichiers
     en données.

   - vérification : on applique les mêmes règles pour TESTS que pour ETUDE.

   - sur la machine de référence :

      - l'unité des développeurs pouvait être surchargée par une valeur anciennement
        renseignée : unité incorrecte lors de l'émission de fiches.

      - recherche dans les fiches REX : le filtre texte n'était pas réinitialisé pour
        "Fiches à corriger"

      - possibilité d'envoyer un message à l'assistance technique Aster.

Version 1.0.14 (2003/06/26) :

   - lancement d'une liste de tests (bouton TESTS) : le type 'test' est remplacé par
     'rep_test' (c'est un répertoire)
     En interactif (lancé avec run_aster), 'resu_test' est obligatoire pour dire où
     seront recopiés les fichiers résultats des tests.

   - anomalie connue non corrigée : sous Linux, le message d'entête apparait avec des
     '\n' au lieu des sauts de ligne.

Version 1.0.13 (2003/06/17) :

   - anomalie corrigée : problème pour répondre à une fiche (stade d'avancement mal
     interprété).

   - sur la machine de référence : traitement pour les bases distantes.

   - correction pour le passage des paramètres optionnels pour les tests.

Version 1.0.12 (2003/06/12) :

   - bsf : raccourcis clavier pour le copier/couper/coller (CRTL+C, CRTL+X, CRTL+V).

   - bsf : anomalie corrigée dans le couper/coller (seul le dernier fichier était effacé).

   - sur la machine de référence : impression des fiches REX et de la liste.

Version 1.0.11 (2003/06/05) :

   - configuration des commandes d'impression depuis le menu Fichier/Impression...

   - 'Imprimer' ajouté dans le menu contextuel de la bsf et des listes de
     fichiers dans astk.

   - bsf : pour atteindre directement un répertoire sans "browser", on peut
     choisir "---Direct---" pour aller directement dans le répertoire de son choix.

   - bsf : correction de l'affichage avec des formats inhabituels de ls.

   - des arguments optionnels passés à l'exécutable *Code_Aster* sont définis via le
     menu Options.

   - les paramètres optionnels pour le lancement d'une liste de tests peuvent être
     modifiés via le menu Options.

   - asjob : en batch, les jobs PEND ou SUSPENDED n'étaient pas arrêter quand on
     cliquait sur 'Supprimer'.

Version 1.0.10 (2003/06/03) :

   - anomalies corrigées :

      - on exportait un fichier avec le nom de la machine même quand celui-ci se
        trouvait sur la machine de calcul (faisait donc un rsh superflu).

      - préparer l'environnement était incompatible avec la présence d'un btc

      - séparation des catalogues d'élément et de commande dans run_aster.

      - problème lors de la recopie des répertoires (comme une base) s'ils sont
        vus comme distants.

      - les fichiers pointés par des liens étaient mal copiés (les versions
        autres que NEW7 n'étaient pas utilisables sur la machine de référence).

   - les répertoires (base, repe) peuvent être présent au maximum une fois
     en donnée et une fois en résultat.

   - le script de soumission est recopié dans le flasheur (.u).

   - agla : demande confirmation si un asrest existe déjà pour la version demandée.

   - run_aster : arrêt en cas de problème lors de la compilation des catalogues.

Version 1.0.9 (2003/05/27) :

   - problème corrigé lors de la suppression d'une ligne dans TESTS.

   - sur la machine de référence : possibilité de répondre aux fiches REX

   - la fenêtre des logs (Aide/Fenetre des messages) est indépendante, ouverte
     seulement sur demande.

   - ajout du type "repe" (répertoire) dans ETUDE pour une évolution future du
     traitement des fichiers et unités logiques dans *Code_Aster*.

   - possibilité de configurer des commandes d'impression dans le fichier
     $HOME/astkrc/printers. La configuration "graphique" de ce fichier viendra plus tard !

Version 1.0.8 (2003/05/19) :

   - les boutons ETUDE et TESTS sont séparés.

   - le numéro d'unité logique est modifiable pour tous les types (aux risques
     de l'utilisateur).

   - ajout des types 'agraf' dans ETUDE, 'para' dans ETUDE et TESTS, 'datg' dans
     SURCHARGE.

   - sur la machine de référence : ajout des boutons 'précédente' et 'suivante'
     pour consulter les fiches.

Version 1.0.7 (2003/05/15) :

   - asjob : demande de confirmation que pour les jobs non terminés

   - asjob : correction d'un bug introduit en 1.0.6 lors du 'Rechercher'.

   - message plus sympatique quand on ne soumet pas le calcul (soumbtc=non).

   - import des profils au format asterix (.pret et .prex)

Version 1.0.6 (2003/05/14) :

   - l'extension '.astk' est imposée pour le nom du profil, on peut ainsi les ouvrir
     automatiquement avec la bsf.

   - suppression des fenêtres de confirmation au lancement d'un calcul.

   - "Valeur par défaut" dans le menu contextuel : reprend le nom du profil et ajoute
     l'extension correspondant au type (par ex.: nom_profil.mess).

   - "Editer" sur un répertoire s'applique à tous les fichiers de ce répertoire.

   - demande de confirmation avant de supprimer un job.

   - les situations dangereuses (comme avoir un exécutable en résultat, et une étude
     qui se ferait avec l'exécutable de référence) sont interdites au moment de la
     soumission.

   - utilisation du btc : s'il est présent : en Résultat, on le construit,
     en Donnée, on le soumet.

   - on limite les rcp/rsh aux machines distantes. ATTENTION : le test sur
     les machines est fait sur la racine du nom, on considère donc que les
     machines "machine1.domain.org" et "machine1" sont les mêmes (de même que
     "machine1.ailleurs.org"...).

   - bug connu : avec beaucoup de fichiers sources (environ 40 et +), la commande
     de vérification d'existence est trop longue. Solution : mettre les fichiers
     dans un répertoire.

   - option 'astk --check' pour vérifier la connexion avec les serveurs.

Version 1.0.5 (2003/05/07) :

   - sur la machine de référence : consultation des fiches REX avec les filtres.

   - agla : correction lors de la recopie des tests, et des sources.

   - agla : ajout asdeno.

   - bsf : ajout de l'option '--inidir' pour choisir le répertoire initial,
     '--inisrv' pour le serveur.

   - on ne pouvait pas avoir plusieurs bases.

   - surcharge : problème avec un catalogue de commande compilé en donnée ET
     résultat si le répertoire destination n'est pas encore créé.

   - si un fichier en donnée est absent, on ne lance pas l'exécution (avant ce
     n'était qu'un avertissement).

Version 1.0.4 (2003/04/30) :

   - correction d'un bug introduit en 1.0.3 (à l'initialisation).

Version 1.0.3 (2003/04/30) :

   - lors de l'export du profil, on vérifie que les fichiers en données existent.
     Ceci permet aussi de vérifier que l'on a bien un fichier là où l'on attend
     un fichier, et un répertoire là où l'on attend un répertoire.

   - bsf : exécution d'une commande shell

   - l'output des commandes n'était pas récupéré dans l'interface, si on appelait
     /usr/ucb/ps sous Solaris.

   - vérifications complémentaires sur le profil avant de lancer une étude ou une
     surcharge.

   - nombre de lignes dans le tail de asjob : échelle de 30 à 150 lignes

Version 1.0.2 (2003/04/29) :

   - warning intempestif à l'exécution car la version du client était erronée.

   - fenetre des messages disparait quand on change de langue (stdout I/O problems).

   - message à la première utilisation d'une nouvelle version pour lire cet
     historique de mise à jour.

   - bsf : liste des répertoires réordonnées pour que le dernier répertoire "utilisé"
     soit bien le dernier à être supprimé de la liste.

   - bsf : certains fichiers/répertoires n'étaient pas visibles avec des login ou
     group trop longs.

   - batch sur la machine de référence : DEFAUT_FICHIER sur des fichiers en résultat.

Version 1.0.1 (2003/04/28) :

   - anomalie corrigée : un répertoire ne contenant qu'un caractère était ignoré.

   - ajout de l'historique des modifications accessible depuis le menu Aide.

Version 1.0 :

   - stabilisée le 25 avril 2003
